import { N as NarouNovel, a as NarouParams } from './narou-CosGR0J9.cjs';
import './narou-search-results-D_vbjc_I.cjs';
import './util/type.cjs';
import './ranking-history.cjs';

/**
 * なろう小説APIへのリクエストを実行する
 */
declare class NarouNovelFetch extends NarouNovel {
    private fetch?;
    /**
     * コンストラクタ
     * @param fetch fetch関数（デフォルトはネイティブのfetch）
     */
    constructor(fetch?: typeof globalThis.fetch | undefined);
    protected execute<T>(params: NarouParams, endpoint: string): Promise<T>;
}

export { NarouNovelFetch as default };
