import { R as RankingType } from './narou-search-results-D_vbjc_I.cjs';
import './util/type.cjs';

interface RankingHistoryRawResult {
    rtype: `${string}-${RankingType}`;
    pt: number;
    rank: number;
}
interface RankingHistoryResult {
    type: RankingType;
    date: Date;
    pt: number;
    rank: number;
}
declare function formatRankingHistory(rankin: RankingHistoryRawResult): RankingHistoryResult;

export { type RankingHistoryRawResult, type RankingHistoryResult, formatRankingHistory };
