import {
  jsonp
} from "./chunk-TNDGN3EF.js";
import {
  NarouNovel
} from "./chunk-UN3W2CT3.js";

// src/narou-jsonp.ts
var NarouNovelJsonp = class extends NarouNovel {
  async execute(params, endpoint) {
    const query = { ...params, out: "jsonp" };
    query.gzip = 0;
    const url = new URL(endpoint);
    Object.entries(query).forEach(([key, value]) => {
      if (value) {
        url.searchParams.append(key, value.toString());
      }
    });
    return await jsonp(url.toString());
  }
};

export {
  NarouNovelJsonp
};
//# sourceMappingURL=chunk-GAEL5UWA.js.map